-- Default to english and not even test

--The index comes from _G.ChatChannel, the string is what we show

_G.ChatName = {Guild="Guild",Party="Party",Whisper="Whisper",Say="Say",Yell="Yell",Emote="Emote",RealID="RealID",Danger="Danger",Timer="Timer"}
_G.ChatStateName = {"None","Internal","External"}
_G.ChatStateHelp = {"Do not emit any sound","Type the name of an internal sound like:","Type the filename of an external sound within the 'Brigand_Chatterbox' folder"}
_G.ChatSoundName = "Sound Name:"
_G.ChatSoundPickerName = "Internal Sound:"
_G.ChatSoundPickerTitle = "Pick a Sound:"
_G.FriendSoundPickerName = "Friend List:"
_G.FriendSoundPickerTitle = "Pick a Friend:"
_G.ChatSoundButtonName = "Test"
_G.ChatLimitTitle = "Limit from:"
_G.ChatLimitName = {"Guild","Party","Friends","NPCs","Target"}
_G.ChatLimitHelp = {"Only if sender is in the guild","Only if sender is in the party","Only if sender is a friend","Only if sender is an NPC","Only if sender is your Target"}

local locale = string.sub(GetLocale(),1,2) --the first 2 letters (language, not country)
--ChatFrame1:AddMessage( "Locale is: " .. locale )

if (locale == "fr") then
	_G.ChatName = {Guild="Guilde",Party="Parti",Whisper="Murmure",Say="Dites",Yell="Criez",Emote="Sentir",RealID="RealID",Danger="Danger",Timer="Minuterie"}
	_G.ChatStateName = {"Vide","Interne","Externe"}
	_G.ChatStateHelp = {"Ne pas emettre aucun son","Tapez le nom d'un son interne comme:","Tapez le nom d'un son externe au sein de la 'Brigand_Chatterbox' dossier"}
	_G.ChatSoundName = "Son nom:"
	_G.ChatSoundPickerName = "Son interne:"
	_G.ChatSoundPickerTitle = "Choisissez un son:"
	_G.FriendSoundPickerName = "Liste d'amis:"
	_G.FriendSoundPickerTitle = "Choisissez un ami:"
	_G.ChatSoundButtonName = "Essayez"
	_G.ChatLimitTitle = "Limiter a:"
	_G.ChatLimitName = {"Guilde","Parti","Amis","NPCs","Cible"}
	_G.ChatLimitHelp = {"Seulement si l'expediteur est dans la guilde","Seulement si l'expediteur est dans le parti","Seulement si l'expediteur est un ami","Seulement si l'expediteur est un NPC","Seulement si l'expediteur est votre cible"}

elseif (locale == "de") then
	_G.ChatName = {Guild="Gilde",Party="Partei",Whisper="Flustern",Say="Sag",Yell="Brullen",Emote="Spuren",RealID="RealID",Danger="Gefahr",Timer="Timer"}
	_G.ChatStateName = {"Leere","Interner","Externe"}
	_G.ChatStateHelp = {"Sie keinen Ton","Geben Sie den Namen eines internen klingen wie:","Geben Sie den Dateinamen einer externen Ton innerhalb der 'Brigand_Chatterbox' Ordner"}
	_G.ChatSoundName = "Name dieser Ton:"
	_G.ChatSoundPickerName = "Interne Ton:"
	_G.ChatSoundPickerTitle = "Wahlen einen Ton:"
	_G.FriendSoundPickerName = "Freund-Liste:"
	_G.FriendSoundPickerTitle = "Wahlen einen Freund:"
	_G.ChatSoundButtonName = "Versuchen"
	_G.ChatLimitTitle = "Begrenzung aus:"
	_G.ChatLimitName = {"Gilde","Partei","Freunde","NPCs","Ziel"}
	_G.ChatLimitHelp = {"Nur wenn Absender ist in der Gilde","Nur wenn der Absender ist in der Partei","Nur wenn Absender ist ein Freund","Nur wenn der Absender ist ein NPC","Nur wenn Absender ist Ihr Ziel"}
	
elseif (locale == "it") then
	_G.ChatName = {Guild="Gildani",Party="Partito",Whisper="Sussurra",Say="Dite",Yell="Urla",Emote="Sentire",RealID="RealID",Danger="Pericolo",Timer="Timer"}
	_G.ChatStateName = {"Vuoto","Interno","Esterno"}
	_G.ChatStateHelp = {"Non emettono alcun suono","Digitare il nome di un suono interno come:","Digitare il nome di un suono esterno all'interno della cartella 'Brigand_Chatterbox'"}
	_G.ChatSoundName = "Nome di suono:"
	_G.ChatSoundPickerName = "Suono interno:"
	_G.ChatSoundPickerTitle = "Scegli un suono:"
	_G.FriendSoundPickerName = "Amico lista:"
	_G.FriendSoundPickerTitle = "Scegli un amico:"
	_G.ChatSoundButtonName = "Prova"
	_G.ChatLimitTitle = "Limite da:"
	_G.ChatLimitName = {"Gilda","Partito","Amici","NPCs","Bersaglio"}
	_G.ChatLimitHelp = {"Solo se il mittente e nella gilda","Solo se il mittente e il partito","Solo se il mittente e un amico","Solo se il mittente e un NPC","Solo se il mittente e il vostro bersaglio"}

elseif (locale == "pt") then
	_G.ChatName = {Guild="Guilda",Party="Partido",Whisper="Sussurra",Say="Dizer",Yell="Gritar",Emote="Sentir",RealID="RealID",Danger="Perigo","Timer"}
	_G.ChatStateName = {"Vazio","Interno","Esterno"}
	_G.ChatStateHelp = {"Nao emitir qualquer som","Digite o nome de um som interno como:","Digite o nome de um som externo dentro do 'Brigand_Chatterbox' pasta"}
	_G.ChatSoundName = "Nome de som:"
	_G.ChatSoundPickerName = "Som interno:"
	_G.ChatSoundPickerTitle = "Escolha um som:"
	_G.FriendSoundPickerName = "Lista de amigos:"
	_G.FriendSoundPickerTitle = "Escolha um amigo:"
	_G.ChatSoundButtonName = "Teste"
	_G.ChatLimitTitle = "Limitar a:"
	_G.ChatLimitName = {"Guilda","Partido","Amigos","NPCs","Alvo"}
	_G.ChatLimitHelp = {"Somente se o remetente esta na guilda","Somente se o remetente esta no partido","Somente se o remetente e um amigo","Somente se o remetente e um NPC","Somente se o remetente e o seu alvo"}
	
elseif (locale == "es") then
	_G.ChatName = {Guild="Clan",Party="Partido",Whisper="Susurra",Say="Di",Yell="Grita",Emote="Siente",RealID="RealID",Danger="Peligro",Timer="Temporizador"}
	_G.ChatStateName = {"Vacio","Interno","Externo"}
	_G.ChatStateHelp = {"No emite ningun sonido","Escriba el nombre de un sonido interno como:","Escriba el nombre de archivo de un sonido externo dentro de la 'Brigand_Chatterbox' carpeta"}
	_G.ChatSoundName = "Nobre de sonido:"
	_G.ChatSoundPickerName = "Sonido interno:"
	_G.ChatSoundPickerTitle = "Elige un sonido:"
	_G.FriendSoundPickerName = "Lista de amigos:"
	_G.FriendSoundPickerTitle = "Escoja un amigo:"
	_G.ChatSoundButtonName = "Prueba"
	_G.ChatLimitTitle = "Limitan a:"
	_G.ChatLimitName = {"Clan","Partido","Amigos","NPCs","Blanco"}
	_G.ChatLimitHelp = {"Solo si el remitente se encuentra en el clan","Solo si el remitente se encuentra en el partido ","Solo si el remitente es un amigo","Solo si el remitente es un NPC","Solo si el remitente es el blanco"}
end