-- store huge list of internal names here and iterate through them

_G.InternalSoundCategory = 
{
	"Game","Glue","GS","IG(a-l)","IG(m-z)","Interface","Events"
};

_G.InternalSoundList = 
{
	["Game"] = 
	{
		"GAMEABILITYACTIVATE",
		"GAMEABILITYBUTTONMOUSEDOWN",
		"GAMEDIALOGCLOSE",
		"GAMEDIALOGOPEN",
		"GAMEERRORINVALIDTARGET",
		"GAMEERRORINVALIDTARGET",
		"GAMEERROROUTOFMANA",
		"GAMEERROROUTOFRANGE",
		"GAMEERROROUTOFRANGE",
		"GAMEERRORUNABLETOEQUIP",
		"GAMEERRORUNABLETOEQUIP",
		"GAMEGENERICBUTTONPRESS",
		"GAMEHIGHLIGHTFRIENDLYUNIT",
		"GAMEHIGHLIGHTFRIENDLYUNIT",
		"GAMEHIGHLIGHTHOSTILEUNIT",
		"GAMEHIGHLIGHTHOSTILEUNIT",
		"GAMEHIGHLIGHTNEUTRALUNIT",
		"GAMEHIGHLIGHTNEUTRALUNIT",
		"GAMEINITIALATTACK",
		"GAMENEWWINDOWTAB",
		"GAMESCREENLARGEBUTTONMOUSEDOWN",
		"GAMESCREENLARGEBUTTONMOUSEOVER",
		"GAMESCREENLARGEBUTTONMOUSEUP",
		"GAMESCREENMEDIUMBUTTONMOUSEDOWN",
		"GAMESCREENMEDIUMBUTTONMOUSEDOWN",
		"GAMESCREENMEDIUMBUTTONMOUSEOVER",
		"GAMESCREENMEDIUMBUTTONMOUSEUP",
		"GAMESCREENSMALLBUTTONMOUSEDOWN",
		"GAMESCREENSMALLBUTTONMOUSEOVER",
		"GAMESCREENSMALLBUTTONMOUSEUP",
		"GAMESPELLACTIVATE",
		"GAMESPELLBUTTONMOUSEDOWN",
		"GAMETARGETFRIENDLYUNIT",
		"GAMETARGETHOSTILEUNIT",
		"GAMETARGETNEUTRALUNIT",
		"GAMEWINDOWCLOSE",
		"GAMEWINDOWOPEN",
	};
	["Glue"] = 
	{
		"GLUECHARCUSTOMIZATIONMOUSEDOWN",
		"GLUECHARCUSTOMIZATIONMOUSEOVER",
		"GLUECHARCUSTOMIZATIONMOUSEUP",
		"GLUECHECKBOXMOUSEDOWN",
		"GLUECHECKBOXMOUSEOVER",
		"GLUECHECKBOXMOUSEUP",
		"GLUECREATECHARACTERBUTTON",
		"GLUEENTERWORLDBUTTON",
		"GLUEGENERICBUTTONPRESS",
		"GLUESCREENEDITBOXKEYCLICK",
		"GLUESCREENLARGEBUTTONMOUSEDOWN",
		"GLUESCREENLARGEBUTTONMOUSEOVER",
		"GLUESCREENLARGEBUTTONMOUSEUP",
		"GLUESCREENMEDIUMBUTTONMOUSEDOWN",
		"GLUESCREENMEDIUMBUTTONMOUSEOVER",
		"GLUESCREENMEDIUMBUTTONMOUSEUP",
		"GLUESCREENSMALLBUTTONMOUSEDOWN",
		"GLUESCREENSMALLBUTTONMOUSEOVER",
		"GLUESCREENSMALLBUTTONMOUSEUP",
		"GLUESCROLLBUTTONMOUSEDOWN",
		"GLUESCROLLBUTTONMOUSEOVER",
		"GLUESCROLLBUTTONMOUSEUP",
	};
	["GS"] = 
	{
		"gsCharacterCreationCancel",
		"gsCharacterCreationClass",
		"gsCharacterCreationCreateChar",
		"gsCharacterCreationGender",
		"gsCharacterCreationLook",
		"gsCharacterCreationRace",
		"gsCharacterSelection",
		"gsCharacterSelectionAcctOptions",
		"gsCharacterSelectionCreateNew",
		"gsCharacterSelectionDelCharacter",
		"gsCharacterSelectionEnterWorld",
		"gsCharacterSelectionExit",
		"gsLogin",
		"gsLoginChangeRealm",
		"gsLoginChangeRealmCancel",
		"gsLoginChangeRealmOK",
		"gsLoginChangeRealmSelect",
		"gsLoginExit",
		"gsLoginNewAccount",
		"gsTitleCredits",
		"gsTitleEnterWorld",
		"gsTitleIntroMovie",
		"gsTitleOption16bit",
		"gsTitleOption32bit",
		"gsTitleOptionDirect3D",
		"gsTitleOptionExit",
		"gsTitleOptionFullScreenMode",
		"gsTitleOptionOK",
		"gsTitleOptionOpenGL",
		"gsTitleOptions",
		"gsTitleOptionScreenResolution",
		"gsTitleQuit",
	};
	["IG(a-l)"] = 
	{
		"igAbiliityPageTurn",
		"igAbilityClose",
		"igAbilityIconDrop",
		"igAbilityIconPickup",
		"igAbilityOpen",
		"igBackPackClose",
		"igBackPackCoinCancel",
		"igBackPackCoinOK",
		"igBackPackCoinSelect",
		"igBackPackOpen",
		"igBonusBarOpen",
		"igCharacterDeselect",
		"igCharacterInfoClose",
		"igCharacterInfoOpen",
		"igCharacterInfoScrollDown",
		"igCharacterInfoScrollUp",
		"igCharacterInfoTab",
		"igCharacterNPCDeselect",
		"igCharacterNPCSelect",
		"igCharacterSelect",
		"igChatBottom",
		"igChatEmoteButton",
		"igChatScrollDown",
		"igChatScrollUp",
		"igCreatureAggroDeselect",
		"igCreatureAggroSelect",
		"igCreatureNeutralDeselect",
		"igCreatureNeutralSelect",
		"igCurrentActiveSpell",
		"igInventoryClose",
		"igInventoryOepn",
		"igInventoryRotateCharacter",
	};
	["IG(m-z)"] = 
	{
		"igMainMenuClose",
		"igMainMenuContinue",
		"igMainMenuLogout",
		"igMainMenuOpen",
		"igMainMenuOption",
		"igMainMenuOptionCheckBoxOff",
		"igMainMenuOptionCheckBoxOn",
		"igMainMenuOptionFaerTab",
		"igMainMenuQuit",
		"igMiniMapClose",
		"igMiniMapOpen",
		"igMiniMapZoomIn",
		"igMiniMapZoomOut",
		"igPlayerInvite",
		"igPlayerInviteAccept",
		"igPlayerInviteDecline",
		"igPVPUpdat",
		"igQuestCancel",
		"igQuestFailed",
		"igQuestListClose",
		"igQuestListComplete",
		"igQuestListOpen",
		"igQuestListSelect",
		"igQuestLogAbandonQuest",
		"igQuestLogClose",
		"igQuestLogOpen",
		"igSocialClose",
		"igSocialOepn",
		"igSpellBokPageTur n",
		"igSpellBookClose",
		"igSpellBookOpen",
		"igSpellBookSpellIconDrop",
		"igSpellBookSpellIconPickup",
	};
	Interface = 
	{
		"AuctionWindowClose",
		"AuctionWindowOpen",
		"INTERFACESOUND_BACKPACKCLOSE",
		"INTERFACESOUND_BACKPACKOPEN",
		"INTERFACESOUND_CHARWINDOWCLOSE",
		"INTERFACESOUND_CHARWINDOWOPEN",
		"INTERFACESOUND_CHARWINDOWTAB",
		"INTERFACESOUND_CURSORDROPOBJECT",
		"INTERFACESOUND_CURSORDROPOBJECT",
		"INTERFACESOUND_CURSORGRABOBJECT",
		"INTERFACESOUND_CURSORGRABOBJECT",
		"INTERFACESOUND_GAMEMENUCLOSE",
		"INTERFACESOUND_GAMEMENUOPEN",
		"INTERFACESOUND_GAMESCROLLBUTTON",
		"INTERFACESOUND_LOSTTARGETUNIT",
		"INTERFACESOUND_LOSTTARGETUNIT",
		"INTERFACESOUND_MONEYFRAMECLOSE",
		"INTERFACESOUND_MONEYFRAMEOPEN",
		"LOOTWINDOWCLOSE",
		"LOOTWINDOWCLOSE",
		"LOOTWINDOWOPEN",
		"LOOTWINDOWOPEN",
		"LOOTWINDOWOPENEMPTY",
		"LOOTWINDOWCOINSOUND",
		"LOOTWINDOWCOINSOUND",
		"MapPing",
		"MINIMAPCLOSE",
		"MINIMAPOPEN",
		"MINIMAPZOOMIN",
		"MINIMAPZOOMOUT",
		"MONEYFRAMECLOSE",
		"MONEYFRAMEOPEN",
		"PAPERDOLLCLOSE",
		"PAPERDOLLOPEN",
		"SPELLBOOKCHANGEPAGE",
		"SPELLBOOKCLOSE",
		"SPELLBOOKOPEN",
		"TalentScreenClose",
		"TalentScreenOpen",
	};
	Events = 
	{
		"ITEMARMORSOUND",
		"ITEMGENERICSOUND",
		"ITEMGENERICSOUND",
		"ITEMWEAPONSOUND",
		"SHEATHINGMETALWEAPONSHEATHE",
		"SHEATHINGMETALWEAPONUNSHEATHE",
		"SHEATHINGSHIELDSHEATHE",
		"SHEATHINGSHIELDUNSHEATHE",
		"SHEATHINGWOODWEAPONSHEATHE",
		"SHEATHINGWOODWEAPONUNSHEATHE",
		"ACTIONBARBUTTONDOWN",
		"BAGMENUBUTTONPRESS",
		"Deathbind Sound",
		"Fishing Reel in",
		"FriendJoinGame",
		"MAINBUTTONBARMENU",
		"TellMessage",
		"UChatScrollButton",
		"UnwrapGift",
		"LEVELUP",
		"LEVELUPSOUND",
		"PVPENTERQUEUE",
		"PVPTHROUGHQUEUE",
		"RaidWarning",
		"ReadyCheck",
		"QUESTADDED",
		"QUESTADDED",
		"QUESTCOMPLETED",
		"QUESTLOGCLOSE",
		"QUESTLOGOPEN",
		"WriteQuest",
		"DwarfExploration",
		"GnomeExploration",
		"HumanExploration",
		"NightElfExploration",
		"OrcExploration",
		"TaurenExploration",
		"TaxiNodeDiscovered",
		"TrollExploration",
		"UndeadExploration",
	};
};
